Purchase Order Receipt Id
Creates a Purchase Order Receipt Item
Sample request:
POST /purchaseorderreceipts/1/purchaseorderreceiptitems
{
"purchase_order_item_id": 1,
"stock_receipt_id": 1,
"buy_price_ex": 1.1,
"quantity_received": 3,
"quantity_faulty": 2,
"quantity_invoiced": 1,
"unit_discount_ex": 1.1,
"direct_costs_ex": 1.1,
"include_tax": true,
"variance_reason": {
"id": 1,
"name": "variance reason name"
},
"bin": "bin",
"notes": "notes"
}
Path Parameters
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Purchase Order Receipt Item to be created
EmptyExample
Response
application/json
Response
Purchase Order Receipt Item was created
PurchaseOrderReceiptItem
Purchase order receipt item
Purchase order receipt item identifier
Purchase order item identifier
Show Child Parameters
Purchase order receipt identifier
Stock receipt identifier
Quantity expected
Quantity received
Quantity faulty
Quantity invoiced
Buy price ex
Supplier buy ex
Unit discount ex
Direct costs ex
Include tax
Quantity received variance
Show Child Parameters
Created on
Show Child Parameters
Modified On
Show Child Parameters
Made Available On
Show Child Parameters
Finalised on
Show Child Parameters
Total buy price ex
Bin
Cogs ex
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc
Allowed values:Leave On-OrderCancel BalanceReceive BalanceReview LaterCreate Supplier Return
Purchase order receipt item variance reason
Show Child Parameters
Notes
Path Parameters
Headers
Body
Searches Purchase Order Receipt Items by Purchase Order Receipt id and other parameters
Searches Purchase Order Receipt Items by Purchase Order Receipt id and other parameters
Query Parameters
Filter by.
Available field name values: id, product_id, product_supplier_sku, product_manufacturer_sku, product_supplier_sku2, product_short_description, product_type, size mapped to value name, colour mapped to value name, brand mapped to value name, season mapped to value name, attribute:id, plu, purchase_order_receipt_id, purchase_order_item_id, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, made_available_on, made_available_by_id, made_available_by_first_name, made_available_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, quantity_expected, quantity_received, quantity_faulty, quantity_invoiced, buy_price_ex, supplier_buy_ex, unit_discount_ex, total_buy_price_ex, cogs_ex, bin, include_tax, variance_reason_id, variance_reason_name, variance_action, notes, total_applied_buy_price_ex, total_direct_costs_ex, total_cogs_ex, total_cogs_inc, direct_costs_ex, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end,quantity_received_variance,total_tax,total_buy_price_inc.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123
Order by.
Available field name values: id, product_id, product_supplier_sku, product_manufacturer_sku, product_supplier_sku2, product_short_description, product_type, size, colour, brand, season, attribute:id, purchase_order_receipt_id, purchase_order_item_id, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, made_available_on, made_available_by_id, made_available_by_first_name, made_available_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, quantity_expected, quantity_received, quantity_faulty, quantity_invoiced, buy_price_ex, supplier_buy_ex, unit_discount_ex, total_buy_price_ex, cogs_ex, bin, include_tax, total_tax, total_buy_price_inc, variance_reason_id, variance_reason_name, variance_action, total_applied_buy_price_ex, total_direct_costs_ex, total_cogs_ex, total_cogs_inc, direct_costs_ex, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end.
Available direction values: asc, desc.
Example: id asc, product_supplier_sku desc, attribute:101
Select fields.
Available field name values: id, product_id, quantity_expected, quantity_received
Example: id
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Purchase Order Receipt id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Purchase Order Receipt Items data
PurchaseOrderReceiptItem.PagingResponse
Purchase order receipt item
Show Child Parameters
Path Parameters
Query Parameters
Headers
Gets specific Purchase Order Receipt Item by unique Purchase Order Receipt id and Purchase Order Receipt Item id
Gets specific Purchase Order Receipt Item by unique Purchase Order Receipt id and Purchase Order Receipt Item id
Path Parameters
Purchase Order Receipt id
Purchase Order Receipt Item id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Purchase Order Receipt Item
PurchaseOrderReceiptItem
Purchase order receipt item
Purchase order receipt item identifier
Purchase order item identifier
Show Child Parameters
Purchase order receipt identifier
Stock receipt identifier
Quantity expected
Quantity received
Quantity faulty
Quantity invoiced
Buy price ex
Supplier buy ex
Unit discount ex
Direct costs ex
Include tax
Quantity received variance
Show Child Parameters
Created on
Show Child Parameters
Modified On
Show Child Parameters
Made Available On
Show Child Parameters
Finalised on
Show Child Parameters
Total buy price ex
Bin
Cogs ex
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc
Allowed values:Leave On-OrderCancel BalanceReceive BalanceReview LaterCreate Supplier Return
Purchase order receipt item variance reason
Show Child Parameters
Notes
Path Parameters
Headers
Deletes specific Purchase Order Receipt Item by id
Deletes specific Purchase Order Receipt Item by id
Path Parameters
Purchase Order Receipt Id
Purchase Order Receipt Item Id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Purchase Order Receipt Item was deleted
Path Parameters
Headers
Updates Purchase Order Receipt Item
Sample request:
PUT /purchaseorderreceipts/1/purchaseorderreceiptitems/1
{
"quantity_expected": 1,
"buy_price_ex": 1.1,
"quantity_received": 3,
"quantity_faulty": 2,
"quantity_invoiced": 1,
"unit_discount_ex": 1.1,
"direct_costs_ex": 1.1,
"include_tax": true,
"variance_action": "Leave On-Order",
"variance_reason": {
"id": 1,
"name": "variance reason name"
},
"bin": "bin",
"notes": "notes"
}
Path Parameters
Purchase Order Receipt id
Purchase Order Receipt Item id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Purchase Order Item model
EmptyExample
Response
application/json
Response
Returns updated Purchase Order Receipt Item
PurchaseOrderReceiptItem
Purchase order receipt item
Purchase order receipt item identifier
Purchase order item identifier
Show Child Parameters
Purchase order receipt identifier
Stock receipt identifier
Quantity expected
Quantity received
Quantity faulty
Quantity invoiced
Buy price ex
Supplier buy ex
Unit discount ex
Direct costs ex
Include tax
Quantity received variance
Show Child Parameters
Created on
Show Child Parameters
Modified On
Show Child Parameters
Made Available On
Show Child Parameters
Finalised on
Show Child Parameters
Total buy price ex
Bin
Cogs ex
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc
Allowed values:Leave On-OrderCancel BalanceReceive BalanceReview LaterCreate Supplier Return
Purchase order receipt item variance reason
Show Child Parameters
Notes